<?php
// phpSpamManager 0.53
// CONFIG.INC.PHP
// Configuration file
//
// Written in PHP 4 by Guillaume Meister
// Created 20050607 "g.meister at sfig dot fr"
// Licensed under Gnu Public License
//

// -- Misc constants --
define('VERSION',"0.53 beta"); // phpSpamAdmin Release
define ('PHPSMCONFIG', "include/phpsm.cfg");
// -- Fields/header names --
// these constants are used both in the result table header as titles
// and to define the hash containing parsed data.

define('COLDATE',RES_COLDATE); // Date of mail receipt , printable
define('COLTIMESTAMP',RES_COLTIMESTAMP); // Date of mail receipt , printable
define('COLSERVER',RES_COLSERVER); // Server who delivered to our mail gateway
define('COLID',RES_COLID); // message file id
define('COLSIZE',RES_COLSIZE); // message file size
define('COLFILENAME',RES_COLFILENAME); // message filename
define('COLFROM',RES_COLFROM); // Sender
define('COLTO',RES_COLTO); // Recipient
define('COLDEST',RES_COLDEST); // Recipient
define('COLSUBJECT',RES_COLSUBJECT); // Subject
define('COLSPAM',RES_COLSPAM); // is it spam (Yes/No)
define('COLSCORE',RES_COLSCORE); // Spam Score
define('COLTESTS',RES_COLTESTS); // Tests that matched
define('COLFILTERED',RES_COLFILTERED); // true if this message is filtered out of the result

// this hash defines which column to display
// on the result table, and in which order
// feel free to add/remove at will
//$tabheader=array(0=>COLTIMESTAMP, COLDATE, COLSPAM, COLSERVER, COLFROM, COLTO, COLSUBJECT,COLSCORE,COLTESTS,COLFILENAME);
$tabheader=array(0=>COLDATE, COLSPAM, COLFROM, COLDEST, COLSUBJECT,COLSCORE,COLTESTS);

//size for each column, total must be 99% (2% required for mail#)
$tabsize=array(0=>'5%','5%','15%','15%','38%','5%','15%');

//$tabheader=array(0=>COLDATE, COLSPAM, COLFROM, COLDEST, COLSUBJECT);

// prefix for checkbox values in the list.This prefix is use to
// tell filenames checked from other POST/GETvariables
define ('FNCHECK',"phpSMfilename:");

// actions on selected mails
// used in main list and in actions.php

define ('ACT_LEARNSPAM','spam'); //learn as spam
define ('ACT_LEARNHAM','ham'); //learn as ham 
define ('ACT_DELETE','delete'); //delete
define ('ACT_RESEND','resend'); // resend to orig recipient
define ('ACT_FORWARD','forward'); // forward to
define ('ACT_MOVE','archive'); // move mail to archive
define ('ACT_NONE','none'); //


// programs
// unix version

define('CALL_MOVE',"/bin/mv"); // command to move a file
define('CALL_LEARNHAM',"/usr/bin/sa-learn --ham"); // command to learn as ham
define('CALL_LEARNSPAM',"/usr/bin/sa-learn --spam"); // command to learn as spam
define('CALL_DELETE',"/bin/rm -f"); // command to delete file
define('CALL_RESEND',"/usr/sbin/sendmail -t -C /etc/postfix <"); // command to resend an email
define('CALL_FORWARD','/usr/sbin/sendmail -C /etc/postfix "$1" <'); // command to forward an email to $1
define('DIR_SEP',"/"); //directory separator


// Windows version
/*
define('CALL_MOVE',"move"); // command to move a file
define('CALL_LEARNHAM',"sa-learn-ham.bat"); // command to learn as ham
define('CALL_LEARNSPAM',"sa-learn-spam.bat"); // command to learn as spam
define('CALL_DELETE',"del"); // command to delete file
define('DIR_SEP',"\\");
*/

// ===== CAUTION ===== : From this point, any change will affect the processing
// of messages.
// Changing without knowledge will result in unpredictable output

// -- Regexp --
// these regular expressions are used in the process of parsing each message
// unless specified, all regexp are case insensitive
//
// Expressions are written for NFA engine, /U turns parsing in ungreedy mode

// Detection of SMTP Header field
// each field starts a line with its name and a semicolon
// sample :  "Received: From localhost ()[127.0.0.1])"
define ('REG_SMTPFIELD',"/^([^:]*)\:(.*)$/");

// Detection of delivering server
// in the "Received" field
define ('REG_RECEIVEDFROM',"/from (.*)$/");

// Detection of our gateway in the
// destination server field
// in the "Received" field
// sample : "by pluton.sfig.fr (Postfix) with ESMTP id 72A7EFB32"
define ('REG_RECEIVEDBY',"/by " . $_SESSION['mailserver'] . "/");

// Detection of reception date/time
// and real recipient
// in the "Received" field
// sample : "for <hdupuis@toto.com>; Fri, 13 May 2005 15:57:21 +0200 (CEST)"
define ('REG_RECEIVEDDATE',"/for <([^>]*)>; (.*)$/");

// Detection of spam score
// in the "X-Spam" field
// sample : "X-Spam-Status: Yes, hits=6.29 tagged_above=0.1 required=5 tests=[AWL=-1.436,"
// "ML_MARKETING=0.103, NO_REAL_NAME=0.336]"
//define ('REG_SPAMSCORE',"/hits=([0-9.]+)\s/");
define ('REG_SPAMSCORE',"/hits=(\-?[0-9.]+)\s/");

// Detection of spam state yes/no
// in the "X-Spam" field
// sample : "X-Spam-Status: Yes, ..."
define ('REG_ISSPAM',"/ (.*),/U");

// Detection of spam tests start
// in the "X-Spam" field
// sample : "... tests=[AWL=-1.436, ..."
define ('REG_STARTTESTS',"/tests=\[(.*)$/");

// Detection of spam tests ending
// in the "X-Spam" field anywhere else than first line
// sample : "... , NO_REAL_NAME=0.336]"
define ('REG_ENDTESTS',"/^(.*)\]$/");

// Detection of single line
// in tests field
define('REG_1LINETESTS',"/(.*)\]$/");

// Conversion for date to timestamp
// when day is 2 digits
// sample : "Fri, 13 May 2005 15:57:21 +0200 (CEST)"
define ('REG_2DIGDATE',"/([A-Z][a-z]{2}),\s+([0-9]{1,2}) ([A-Z][a-z]{2}) ([0-9]{4}) ([0-9]{2}):([0-9]{2}):([0-9]{2})/");

// Checks for an email address
define ('REG_EMAIL',"/([a-z0-9]+([_\\.-][a-z0-9]+)*@([a-z0-9]+([\.-][a-z0-9]+)*)+\\.[a-z]{2,})/");

// Extract email address from "From:" field without <>
// matches toto@titi.com, <toto@titi.com>, "toto" <toto@titi.com>
define ('REG_MAILFROM',"/^from:([^<]*<([^>]*)>|(.*))$/i");

// -- Strings to search --
// these strings are used to find specific fields or data
// Case sensitive

// From field
define ('STR_FROM',"from");
// To Field
define ('STR_TO',"to");
// Subject Field
define ('STR_SUBJECT',"subject");
// Received Field
define ('STR_RECEIVED',"received");
// Spam score and tests field
define ('STR_SPAM',"x-spam-status");
// Message Id
define ('STR_ID',"message-id");
// X-spam tag
define ('STR_XSPAM',"X-Spam");

?>
